CopyHero

Check Status

GET
/api/v1/jobs/status/{id}

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

id*Id

Response Body

Successful Response

application/json
  1. response
store_id?integer|null
job_type?string|null
internal_product_id?|null
task_id?integer|null
order?integer|null
blueprint_job_id*integer|null
id*Id
created_at*Created At
Formatdate-time
updated_at*Updated At
Formatdate-time
started_at*|null
finished_at*|null
input_data*string|null
output_data*string|null
state*string|null
store?|null
Example Request
curl -X GET 'https://app.copyhero.app/api/v1/jobs/status/0'
Example Response
{  "store_id": 0,  "job_type": "string",  "internal_product_id": "17d65d0a-2bba-46da-af25-e6db2fc23598",  "task_id": 0,  "order": 0,  "blueprint_job_id": 0,  "id": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "started_at": "2019-08-24T14:15:22Z",  "finished_at": "2019-08-24T14:15:22Z",  "input_data": "string",  "output_data": "string",  "state": "string",  "store": {    "store_url": "string",    "language": "string",    "default_push_blueprint_id": 0,    "generated_image_output_format": "png",    "generated_image_webp_quality": 1,    "id": 0,    "name": "string",    "owner_id": 0,    "owner": {      "email": "string",      "is_active": true,      "is_superuser": false,      "full_name": "string",      "sub": "string",      "provider": "auth0",      "last_synced_at": "2019-08-24T14:15:22Z",      "quota": 1000,      "onboarding_completed_at": "2019-08-24T14:15:22Z",      "locale": "en",      "id": 0    },    "currency": "string",    "domain": "string",    "country_code": "string",    "image_preview_url": "string",    "description": "string",    "title": "string",    "hbs_template": "string",    "json_template": "string",    "oauth_completed_at": "2019-08-24T14:15:22Z",    "oauth_scopes": "string",    "missing_scopes": [      "string"    ],    "features": {      "property1": true,      "property2": true    }  }}